Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Fri 24 Oct 2014, 23:11
All times are UTC - 4
 Forum index » Advanced Topics » Hardware » Printers
How to Install Your Printer/Scanner in Puppy
Post_new_topic   Reply_to_topic View_previous_topic :: View_next_topic
Page 2 of 16 Posts_count   Goto page: Previous 1, 2, 3, 4, ..., 14, 15, 16 Next
Author Message
mahadi

Joined: 15 Feb 2011
Posts: 34

PostPosted: Sun 24 Apr 2011, 06:54    Post_subject:  

My puppy pc is connected to a LAN and trying to connect to a network printer.
I have connected to the printer using Add Printer option entering following information-
"smbn:/samad/CanonLBP"
I have chosen model as Canon LBP 1000 as there have been no model as Canon LBP 3300.
Well, CUPS has displayed message that my puppy is now connected to the printer, and I have even printed a test page and got the task in Completed Jobs list.
Defaults are job-sheets=none, none media=iso_A4_210x297mm sides=one-sided
But, in reality, there have been no real printout.
I guess its because of the wrong printer model.
How do I get driver for Canon LBP 3300 and how to make it print really.

Thank you.
Back to top
View user's profile Send_private_message 
rcrsn51


Joined: 05 Sep 2006
Posts: 9203
Location: Stratford, Ontario

PostPosted: Sun 24 Apr 2011, 08:30    Post_subject:  

Please start a separate thread titled "Canon LBP 3300". If we can get this printer working, it will be useful information for other users. Also, could you give me the full model name of this printer? Canon appears to make several units with similar names.
Back to top
View user's profile Send_private_message 
Frank Cox

Joined: 01 Nov 2009
Posts: 381

PostPosted: Sun 24 Apr 2011, 17:57    Post_subject:  cannon  

Hi Mahadi:

Cannon printers are Linux unfriendly. This site may help but next time you buy a printer check on it's compatibility w/ Linux. Brother , Samsung Lexmark and HP are often Linux friendly.
Hope this helps:
http://software.canon-europe.com/products/0010309.asp
Back to top
View user's profile Send_private_message 
disciple

Joined: 20 May 2006
Posts: 6449
Location: Auckland, New Zealand

PostPosted: Sun 24 Apr 2011, 20:00    Post_subject:  

I wonder why those CAPT drivers aren't mentioned on openprinting.org

If the printer is almost the same as the LBP3360, the driver recommended for it will probably work too...
http://www.openprinting.org/printer/Canon/Canon-LBP-3360

_________________
DEATH TO SPREADSHEETS
- - -
Classic Puppy quotes
- - -
Beware the demented serfers!
Back to top
View user's profile Send_private_message 
rcrsn51


Joined: 05 Sep 2006
Posts: 9203
Location: Stratford, Ontario

PostPosted: Mon 25 Apr 2011, 13:24    Post_subject:  

It's too bad that mahadi never replied - there have been other requests for Canon printers that use the CAPT driver. In a simulated install, I got the CAPT driver to work, but it probably doesn't apply to mahadi's networked printer setup.

The hpijs-pcl5e driver might be the answer, but it takes more than just the PPD file to make it work.

Quote:
Cannon (sic) printers are Linux unfriendly

Not at all. Canon has Linux drivers for most of their models, although in some cases they only have basic functionality. This forum has entire threads dedicated to Canon printers.

Quote:
Lexmark ... are often Linux friendly.

That's about the last brand I would recommend, second only to Kodak.
Back to top
View user's profile Send_private_message 
mahadi

Joined: 15 Feb 2011
Posts: 34

PostPosted: Tue 26 Apr 2011, 06:33    Post_subject:  

I am extremely sorry being late.
I was a bit busy with my business.
Well, first, I would like to thank all of you guys for your effort to help me out.
And the good thing is I have solved my problem, my puppy system is now connected to the network printer, and now I can print documents, so far with no problems, but I do not know if any problem might arise, but now it is fine. Well, now, what I did:
In the version of CUPS in my system there was no driver for the model LBP 3300. So, I googled for it, ended up on Canon's website, and downloaded the latest version for linux. Having it untarred, I installed the two .deb files found in 32 bit>Debian directory, and fired up CUPS right after that without following further instruction found in the Docs directory.
That's all, and I think you know what to do next in CUPS setting page.
One thing I would like to mention is that I have used "Windows Printer with smbclient" option and my URI is: "smbc://ip address of the target printer server/share name of the printer"

And again sorry for my late reply.

Thank you.
Back to top
View user's profile Send_private_message 
sandlynx

Joined: 22 Aug 2008
Posts: 41

PostPosted: Sun 08 May 2011, 12:15    Post_subject: Can't get Epson Stylus NX215 to print
Sub_title: Tried everything you said
 

I installed all drivers using the .deb packages from avasys, and followed all the directions. Everything looked ok until I tried to print, and all I got was a printer acting like it was printing (the print head was moving back and forth), but only empty pages were coming out.
I think I found the problem when I read further and it said to start pipslited. I tried /etc/init.d/pipslited start, and I got the message: No such file or directory. I checked through ROX file manager for pipslited, and it doesn't exist. I went to /etc/pipslite and it lists
installed ppd.lst and
pipslitedrc which is the closest to what I'm looking for. I tried starting it with:
/etc/pipslite/pipslitedrc start and got the message:
bash: /etc/pipslitec/pipslitedrc: Permission denied.
Note: /etc/init.d/pipslited/ does not exist.
Does anyone know what to do about this? I would love to get this printer working! Rolling Eyes Crying or Very sad
Back to top
View user's profile Send_private_message 
rcrsn51


Joined: 05 Sep 2006
Posts: 9203
Location: Stratford, Ontario

PostPosted: Sun 08 May 2011, 12:41    Post_subject: Re: Can't get Epson Stylus NX215 to print
Sub_title: Tried everything you said
 

sandlynx wrote:
Tried everything you said. .... I installed all drivers using the .deb packages from avasys, and followed all the directions.

1. Did you try the Gutenprint NX200 driver that comes with Puppy?

2. Did you try the pipslite-1.5.0.pet from here.? Which model did you use?

3. How did you install the .deb packages? Just by clicking on them? This rarely works correctly with printer drivers. Which PPD file did you use?
Back to top
View user's profile Send_private_message 
sandlynx

Joined: 22 Aug 2008
Posts: 41

PostPosted: Sun 08 May 2011, 17:12    Post_subject: Solved the problem with NX215
Sub_title: Can't get to print
 

I found the problem. It was installed properly (I used Puppy Package Manager to install the .deb files and installed the PPD on the command line. It was not printing because the printer has set for a few weeks without use, and the black cartridge would not put out ink. I changed the cartridge. Before I discovered that this was the problem, I installed the printer on a Windows PC (which is due to have Slackware installed) and the printer had the same "no print" in black problem. I used a test file which had both color and black which is how I figured out that since color is printing, it's not the software that has the problem; it's something else. I had to take a guess that it was the black cartridge because the window on the printer that usually tells you when your cartridges are running low showed no problems. I just guessed that it must be a clogged black cartridge. I changed to a new cartridge, and the printer worked on Windows. I switched back to Wary 5, and tried the printer and it works. Print from file works. I haven't tested the scanner software yet. But it did install properly.
For the record, I used pipslite-1.5.0-3_i386.deb, Epson-Stylus_NX215-pipslite-en.ppd, and iscan-date_1.8.0-0_all.deb using Puppy Package Manager. PPD file installed by command line.
Now that I have it figured out, I will install it on my computer with Lucid Puppy.
Thanks for your quick response.
Back to top
View user's profile Send_private_message 
sandlynx

Joined: 22 Aug 2008
Posts: 41

PostPosted: Mon 09 May 2011, 11:18    Post_subject: UPdate on NX215
Sub_title: What works, what doesn't
 

I thought that all functions would work with the Wary 5 kernel, but apparently not.
I checked the scanner, and it does not connect with the PC. No scan to PC, scan to PDF, nor scan to email.
Back to top
View user's profile Send_private_message 
rcrsn51


Joined: 05 Sep 2006
Posts: 9203
Location: Stratford, Ontario

PostPosted: Mon 09 May 2011, 12:01    Post_subject:  

Here are some questions to answer. Please post your reply in the Epson scanner thread here.

1. Did the scanner work in Lupu but NOT in Wary or in NEITHER?

2. The Avasys site lists two packages needed to install the scanner. Have you installed both?

3. What scanning program are you using? Xsane that comes with Puppy or Iscan which is part of the Avasys package?
Quote:
I checked the scanner, and it does not connect with the PC. No scan to PC, scan to PDF, nor scan to email.

Please be more specific. How did you check? Are you trying to run the scanner off some buttons in its control panel? Those are probably Windows-only.
Back to top
View user's profile Send_private_message 
sandlynx

Joined: 22 Aug 2008
Posts: 41

PostPosted: Sun 22 May 2011, 08:55    Post_subject: Scanner not working
Sub_title: What I did
 

I used the scanner file from avasys, iscan-data_1.8.0-0_all.deb, but I found only one file. I didn't see a second package to install.
I'll go and take a look for the second package for the scanner.
I have Lucid 5.0 on another computer but haven't yet tried to install the printer on that. I tried to install NX215 on Slackware 13.0, and the printer part works fine, but not the scanner part. Considering the 13.0 Slackware kernel, I was told not all functions would work. So I can't tell anything from that.
I tried to use the scanner function by using the scan button on the printer (choices: scan to PC, scan to PDF, scan to email), all-in-one itself since no mention was made of a Console or GUI on PC program to run the scanner function.
Back to top
View user's profile Send_private_message 
rcrsn51


Joined: 05 Sep 2006
Posts: 9203
Location: Stratford, Ontario

PostPosted: Sun 22 May 2011, 09:07    Post_subject:  

If you want to continue this discussion, please go to the thread I mentioned above.
Back to top
View user's profile Send_private_message 
HiDeHo

Joined: 16 Mar 2011
Posts: 286

PostPosted: Fri 17 Jun 2011, 06:02    Post_subject:  

one thing that was available for 431 as a .pet was splix drivers for puppy. documented here http://www.murga-linux.com/puppy/viewtopic.php?t=40225 these drivers do not work in lupu or later pupps
Back to top
View user's profile Send_private_message 
rcrsn51


Joined: 05 Sep 2006
Posts: 9203
Location: Stratford, Ontario

PostPosted: Fri 17 Jun 2011, 06:13    Post_subject:  

HiDeHo wrote:
one thing that was available for 431 as a .pet was splix drivers for puppy. documented here http://www.murga-linux.com/puppy/viewtopic.php?t=40225 these drivers do not work in lupu or later pupps

I could not get the Splix package to compile in Lupu 525. However all of its target printers are supported by other packages such as foo2xxx or the samsung_printer-3.00.65.pet .
Back to top
View user's profile Send_private_message 
Display_posts:   Sort by:   
Page 2 of 16 Posts_count   Goto page: Previous 1, 2, 3, 4, ..., 14, 15, 16 Next
Post_new_topic   Reply_to_topic View_previous_topic :: View_next_topic
 Forum index » Advanced Topics » Hardware » Printers
Jump to:  

Rules_post_cannot
Rules_reply_cannot
Rules_edit_cannot
Rules_delete_cannot
Rules_vote_cannot
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.0874s ][ Queries: 13 (0.0067s) ][ GZIP on ]